Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.Settings

    java.lang.Object
      igeo.io.IRhino3dm.Settings

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.Settings

extends java.lang.Object

Nested Class Summary
`static class` | `IRhino3dm.Settings.AnnotationSettings`
`static class` | `IRhino3dm.Settings.ConstractionPlane`
`static class` | `IRhino3dm.Settings.ConstructionPlaneGridDefaults`
`static class` | `IRhino3dm.Settings.EarthAnchorPoint`
`static class` | `IRhino3dm.Settings.IOSettings`
`static class` | `IRhino3dm.Settings.PageSettings`
`static class` | `IRhino3dm.Settings.RenderSettings`
`static class` | `IRhino3dm.Settings.UnitAndTolerances`
`static class` | `IRhino3dm.Settings.ViewPosition`
`static class` | `IRhino3dm.Settings.ViewSettings`
`static class` | `IRhino3dm.Settings.ViewTraceImage`
`static class` | `IRhino3dm.Settings.WallPaperImage`

Constructor Summary
`IRhino3dm.Settings()`

Method Summary
`void` | `setAnalysisMesh(IRhino3dm.Chunk c)`
`void` | `setAnnotation(IRhino3dm.Chunk c)`
`void` | `setAttributes(IRhino3dm.Chunk c)`
`void` | `setCurrentColor(IRhino3dm.Chunk c)`
`void` | `setCurrentDimStyleIndex(IRhino3dm.Chunk c)`
`void` | `setCurrentFontIndex(IRhino3dm.Chunk c)`
`void` | `setCurrentLayerIndex(IRhino3dm.Chunk c)`
`void` | `setCurrentMaterialIndex(IRhino3dm.Chunk c)`
`void` | `setCurrentWireDensity(IRhino3dm.Chunk c)`
`void` | `setGridDefaults(IRhino3dm.Chunk c)`
`void` | `setModelURL(IRhino3dm.Chunk c)`
`void` | `setNamedCPlaneList(IRhino3dm.Chunk c)`
`void` | `setNamedViewList(IRhino3dm.Chunk c)`
`void` | `setPluginList(IRhino3dm.Chunk c)`
`void` | `setRender(IRhino3dm.Chunk c)`
`void` | `setRenderMesh(IRhino3dm.Chunk c)`
`void` | `setUnitStandTols(IRhino3dm.Chunk c)`
`void` | `setViewList(IRhino3dm.Chunk c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IRhino3dm.Settings

    public IRhino3dm.Settings()

Method Detail

### setPluginList

    public void setPluginList(IRhino3dm.Chunk c)

### setUnitStandTols

    public void setUnitStandTols(IRhino3dm.Chunk c)

### setRenderMesh

    public void setRenderMesh(IRhino3dm.Chunk c)

### setAnalysisMesh

    public void setAnalysisMesh(IRhino3dm.Chunk c)

### setAnnotation

    public void setAnnotation(IRhino3dm.Chunk c)

### setNamedCPlaneList

    public void setNamedCPlaneList(IRhino3dm.Chunk c)

### setNamedViewList

    public void setNamedViewList(IRhino3dm.Chunk c)

### setViewList

    public void setViewList(IRhino3dm.Chunk c)

### setCurrentLayerIndex

    public void setCurrentLayerIndex(IRhino3dm.Chunk c)

### setCurrentFontIndex

    public void setCurrentFontIndex(IRhino3dm.Chunk c)

### setCurrentDimStyleIndex

    public void setCurrentDimStyleIndex(IRhino3dm.Chunk c)

### setCurrentMaterialIndex

    public void setCurrentMaterialIndex(IRhino3dm.Chunk c)

### setCurrentColor

    public void setCurrentColor(IRhino3dm.Chunk c)

### setCurrentWireDensity

    public void setCurrentWireDensity(IRhino3dm.Chunk c)

### setRender

    public void setRender(IRhino3dm.Chunk c)

### setGridDefaults

    public void setGridDefaults(IRhino3dm.Chunk c)

### setModelURL

    public void setModelURL(IRhino3dm.Chunk c)

### setAttributes

    public void setAttributes(IRhino3dm.Chunk c)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD